# Package up the pf2afm "program".
# By Scott Pakin <pakin@uiuc.edu>

Name:      pf2afm
Version:   1.0
Release:   1
Vendor:    Scott Pakin <pakin@uiuc.edu>
Source:    ftp://ftp.dante.de/tex-archive/fonts/utilities/pf2afm.tar.gz
Group:     Applications/Publishing
Summary:   Generate AFM files from PFA/PFB/PFM PostScript font files
Copyright: Public domain
URL:       ftp://ftp.cdrom.com/pub/tex/ctan/help/Catalogue/entries/pf2afm.html
BuildRoot: /var/tmp/%{name}
Requires:  ghostscript
Prefix:    /usr
BuildArchitectures: noarch

%description
This program extracts PostScript font metrics from a PostScript font (in
PFA, PFB, or PFM format) into a separate AFM file.

%define pf2afm_dir tex-archive/fonts/utilities/pf2afm/

%prep
%setup -c %{name}-%{version}

%build
# Create a script to launch Ghostscript with the pf2afm header.
cat <<EOF > pf2afm
#!/bin/sh

# Wrapper script for pf2afm.ps
# By Scott Pakin <pakin@uiuc.edu>

if [ "\$1" = "" ]; then
  echo "Usage: \`basename \$0\` basename" 1>&2
  exit 1
fi

rm -f \$1.afm
EOF
echo 'gs -dNODISPLAY -q -- %{prefix}/share/pf2afm.ps $1' >> pf2afm
echo 'echo ""' >> pf2afm
chmod 0755 pf2afm

# Create a README file out of the PostScript comments.
cat %{pf2afm_dir}/pf2afm.ps | sed '2,28 {
  s/^% \?//
  s/PostScript program/program/
  s/gs \[-dNODISPLAY\] -- pf2afm.ps/pf2afm/
  w README
}
1,$d'
chmod 0644 README

%install
install -c -D -m 0755 pf2afm $RPM_BUILD_ROOT/usr/bin/pf2afm
install -c -D -m 0644 %{pf2afm_dir}/pf2afm.ps $RPM_BUILD_ROOT/usr/share/pf2afm.ps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/bin/pf2afm
/usr/share/pf2afm.ps
%doc README

%changelog
* Sun Jan 23 2000 Scott Pakin <pakin@uiuc.edu>
- Initial version
